package com.iamberry.wechat.face.porduct;

import java.util.List;

import com.iamberry.wechat.core.entity.product.ProductType;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月19日
 * @explain	产品返利类型对外公布接口
 */
public interface ProductTypeService {

	/**
	 * 获取产品的所有返利类型-service 接口
	 * @return
	 */
	public List<ProductType> getAll();
	
	/**
	 * 根据id查询一个产品返利类型
	 * @param typeId
	 * @return
	 */
	public ProductType selectOneById(Integer typeId);
	
	/**
	 * 添加一个产品返利类型
	 * @param productType
	 * @return
	 */
	public Integer insertProductType(ProductType productType);
	
	/**
	 * 根据类型id修改一个产品返利类型
	 * @return
	 */
	public Integer updateProductTypeById(ProductType productType);
	
	/**
	 * 根据类型id修改一个产品类型的状态
	 * @return
	 */
	public Integer updateProductTypeStatusById(ProductType productType);
}
